> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tight.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get an invoice

> Get a more detailed view of a specific invoice



## OpenAPI

````yaml https://dev.hurdlr.com/rest/v1/devUtils/documentation?version=5&Authorization=dexfeE6aRK3zwXP4ku5aWm8w&env=sandbox get /v5/invoicing/invoice
openapi: 3.0.1
info:
  title: Tight API
  contact:
    name: Hurdlr, Inc. (dba Tight)
    url: https://www.tight.com
    email: api@tight.com
  version: 6.0.0
servers:
  - url: https://sandbox.hurdlr.com/rest
    description: Staging Environment
  - url: https://prod.hurdlr.com/rest
    description: Production Environment
security:
  - accessTokenSecurity: []
  - basicSecurity: []
tags:
  - name: Authentication
  - name: Banks
  - name: Business & Client Management
  - name: Invoicing
  - name: Revenue
  - name: Investments
  - name: Payouts
  - name: Bills
  - name: Expenses
  - name: Payroll
  - name: Reports
  - name: Accounting
  - name: Mileage
  - name: Taxes
  - name: Time Tracking
  - name: Imports
  - name: Files
  - name: Accountant
  - name: Audit Trail
  - name: Support
  - name: Tax Engine Express
  - name: Interview Endpoint
  - name: Ledgering
  - name: Configuration
  - name: Templates
paths:
  /v5/invoicing/invoice:
    get:
      tags:
        - Invoicing
      summary: Get an invoice
      description: Get a more detailed view of a specific invoice
      operationId: getInvoice
      parameters:
        - name: id
          in: query
          description: Id of the specific invoice
          required: true
          schema:
            type: string
            default: ''
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InvoiceV5SingularGetWithPaymentUrlDTOV5'
      security:
        - accessTokenSecurity: []
components:
  schemas:
    InvoiceV5SingularGetWithPaymentUrlDTOV5:
      type: object
      properties:
        id:
          type: integer
          description: Invoice id of draft invoice to finalize and send
          format: int64
        apiInvoiceId:
          type: string
          description: Id of the invoice record in your DB
          example: '1123144594'
        clientId:
          type: integer
          description: Client id for this invoice
          format: int64
        date:
          type: string
          description: The creation date of the invoice
          format: date
        name:
          type: string
          description: Name of the invoice
        totalAmount:
          type: number
          description: The total amount of the invoice
        totalAmountCents:
          type: number
          description: >-
            The total amount of the invoice in cents. Useful for passing
            directly to a payment processor, e.g. Stripe, to prevent floating
            point errors.
        balance:
          type: number
          description: Remaining balance left to be paid on the invoice
        discountAmount:
          type: number
          description: >-
            The total dollar amount to be discounted (you can provide a
            discountAmount or a discountPercent, but not both, as it affects the
            format of the invoice)
          example: 30
        discountPercent:
          type: number
          description: >-
            The total percent to be discounted (you can provide a discountAmount
            or a discountPercent, but not both, as it affects the format of the
            invoice)
          example: 15
        term:
          type: string
          description: Invoice Term for the invoice
          example: DUE_NOW
          enum:
            - DUE_NOW
            - NET_10
            - NET_15
            - NET_30
            - NET_60
            - OTHER
        dueDate:
          type: string
          description: The due date of the invoice
          format: date
        personalNote:
          type: string
          description: An optional personal note to add to the invoice
          example: Thank you for your business.
        frequency:
          type: string
          description: Invoice frequency
          example: ONE_TIME
          enum:
            - ONE_TIME
            - WEEKLY
            - BI_WEEKLY
            - MONTHLY
            - YEARLY
            - AFTER_TWO_MINS
            - ONE_TIME
            - WEEKLY
            - BI_WEEKLY
            - MONTHLY
            - YEARLY
            - AFTER_TWO_MINS
        status:
          type: string
          description: Status of the invoice
          enum:
            - OPEN
            - CLOSED
            - CANCELLED
            - DRAFT
            - REFUNDED
            - SCHEDULED
        emailStatus:
          type: string
          description: Status of the email of the invoice
          enum:
            - SUCCESS
            - FAILURE_TOKEN_INVALIDATED
            - FAILURE_TOKEN_POSSIBLY_EXPIRED
            - FAILURE_INVOICE_NOT_FOUND
            - FAILURE_OTHER
            - SENDING
            - NOT_SENT
            - FAILURE_BOUNCED
            - WARNING_AUTO_RESPONSE
        sendEmail:
          type: boolean
          description: Whether an email of the invoice will be sent to client
        sentDate:
          type: string
          description: Date the invoice was sent
          format: date
        lastViewedDate:
          type: string
          description: The last date the client viewed the invoice
          format: date
        reminderSchedule:
          type: array
          description: List of payment reminder frequencies for this invoice
          example: ON_DUE_DATE
          items:
            type: string
            description: List of payment reminder frequencies for this invoice
            example: ON_DUE_DATE
            enum:
              - ON_DUE_DATE
              - THREE_DAYS_AFTER_DUE_DATE
              - EVERY_SEVEN_DAYS_AFTER_DUE_DATE
              - AFTER_TWO_MINS
              - ON_DUE_DATE
              - THREE_DAYS_AFTER_DUE_DATE
              - EVERY_SEVEN_DAYS_AFTER_DUE_DATE
              - AFTER_TWO_MINS
          enum:
            - ON_DUE_DATE
            - THREE_DAYS_AFTER_DUE_DATE
            - EVERY_SEVEN_DAYS_AFTER_DUE_DATE
            - AFTER_TWO_MINS
        lastCreatedRecurringInvoice:
          type: string
          description: Date of the last created recurring invoice
          format: date
        parentId:
          type: integer
          description: Id of parent for recurring invoices
          format: int64
        isRecurringParent:
          type: boolean
          description: Whether this invoice is a recurring parent
        refundStatus:
          type: string
          description: Status of the refund corresponding to this invoice
          enum:
            - PENDING
            - SUCCEEDED
            - FAILED
            - UNKNOWN
        emailErrors:
          type: object
          description: Email errors incurred for this invoice
        invoicePdfUrl:
          type: string
          description: URL at which a PDF of the invoice can be accessed
        lineItems:
          type: array
          description: >-
            An array of line items, where each object represents one invoice
            item.
          items:
            $ref: '#/components/schemas/InvoiceLineItemDTO'
        installments:
          type: array
          description: >-
            An array of installments, for allowing the customer to pay via
            multiple partial payments.
          items:
            $ref: '#/components/schemas/InstallmentDTO'
        pendingPaymentAmount:
          type: number
          description: The total pending amount from payment(s)
        invoiceNo:
          type: integer
          description: Number of the invoice (per business)
          format: int32
        clientName:
          type: string
          description: Name of the client to whom the invoice was sent
        email:
          type: string
          description: The email to send the invoice to
        ccEmails:
          type: string
          description: Comma-delimited list of emails to be cc'ed on the invoice email
        bccEmails:
          type: string
          description: Comma-delimited list of emails to be bcc'ed on the invoice email
        businessName:
          type: string
          description: Name of the business sending the invoice
        businessAddress1:
          type: string
          description: Address of the business sending the invoice
        businessAddress2:
          type: string
          description: Secondary address of the business sending the invoice
        businessCity:
          type: string
          description: City of the business sending the invoice
        businessState:
          type: string
          description: State of the business sending the invoice
        businessZip:
          type: string
          description: Zip code of the business sending the invoice
        businessLogoUrl:
          type: string
          description: Logo of the business sending the invoice
        businessPhoneNumber:
          type: string
          description: Phone number of the business sending the invoice
        clientInvoiceKey:
          type: string
          description: ClientInvoiceKey of the invoice being sent
        amountPaid:
          type: number
          description: The total amount of payments on the invoice
        paidDate:
          type: string
          description: Date the invoice was paid
          format: date
        acceptACH:
          type: boolean
          description: >-
            If set to true, the client can pay by cash/check. At least one of
            acceptCredit or acceptCash or acceptACH must be set to true.
        acceptCredit:
          type: boolean
          description: >-
            Whether the client can pay by debit/credit card. At least one of
            acceptCredit, acceptCash, or acceptACH must be true.
        acceptCash:
          type: boolean
          description: >-
            Whether the client can pay by cash/check. At least one of
            acceptCash, acceptCredit, or acceptACH must be true.
        salesTax:
          type: number
        invoiceSubTotal:
          type: number
        v6Id:
          type: string
          description: Id of the v6 invoice entity
          example: inv_1123144594
        customData:
          type: object
          description: >-
            Custom JSON in which you can store any data with max length of 2000
            characters
        apiName:
          type: string
          description: Name of the API from which this invoice originated
          example: USER_ENTRY
          enum:
            - USER_ENTRY
            - QBO
            - XERO
            - PARTNER_IMPLEMENTATION
        invoicePaymentUrl:
          type: string
          description: URL at which the client can pay this invoice
    InvoiceLineItemDTO:
      required:
        - description
      type: object
      properties:
        id:
          type: integer
          description: >-
            Id of the specific line item, required to update an existing line
            item
          format: int64
        quantity:
          type: number
          description: >-
            Quantity for the line item. Either quantity and price or expenseId
            are required on each line item.
          example: 2
        price:
          type: number
          description: >-
            Unit price of the line item. Either quantity and price or expenseId
            are required on each line item.
          example: 50.01
        description:
          type: string
          description: Description of the line item
          example: travel cost
        expenseId:
          type: integer
          description: >-
            Id of expense for this line item. Either quantity and price or
            expenseId are required on each line item.
          format: int64
        salesTax:
          type: number
          description: >-
            Sales tax of the line item (you can provide a salesTax or a
            salesTaxPercent, but not both)
          example: 10
        salesTaxPercent:
          type: number
          description: >-
            Sales tax percent of the line item (you can provide a salesTax or a
            salesTaxPercent, but not both)
          writeOnly: true
          example: 5.75
        amount:
          type: number
          description: >-
            Amount for the line item (quantity times price). Either quantity and
            price or expenseId are required on each line item.
          readOnly: true
        glAccountId:
          type: integer
          description: GL account id, referencing an account in the chart of accounts
          format: int64
        apiItemId:
          type: string
          description: Id of the invoice line item record in your DB
        customData:
          type: object
          description: >-
            Custom JSON in which you can store any data with max length of 2000
            characters
      xml:
        name: InvoiceLineItemDTO
    InstallmentDTO:
      required:
        - dueDate
        - name
      type: object
      properties:
        id:
          type: integer
          description: Unique identifier for the installment (for updates)
          format: int64
        name:
          type: string
          description: Name or description of the installment
          example: First Payment
        dueDate:
          type: string
          description: The due date for this installment payment
          format: date
          example: '2025-01-15'
        amount:
          type: number
          description: >-
            The fixed dollar amount for this installment (you can provide an
            amount or a percentage, but not both)
          example: 500
        percentage:
          type: number
          description: >-
            The percentage of the total invoice amount for this installment (you
            can provide a percentage or an amount, but not both)
          example: 25
        status:
          type: string
          description: Status of the installment
          example: ACTIVE
          enum:
            - ACTIVE
            - INACTIVE
            - REMOVED
        balance:
          type: number
          description: >-
            The remaining balance for this installment after payments have been
            applied
          readOnly: true
          example: 500
  securitySchemes:
    accessTokenSecurity:
      type: oauth2
      flows:
        implicit:
          authorizationUrl: /auth/account
          scopes:
            write: ''

````